## PkDetails

PkDetails — Details object

## Functions

PkDetails * | pk_details_new ()
const gchar * | pk_details_get_package_id ()
const gchar * | pk_details_get_license ()
PkGroupEnum | pk_details_get_group ()
const gchar * | pk_details_get_description ()
const gchar * | pk_details_get_url ()
guint64 | pk_details_get_size ()
const gchar * | pk_details_get_summary ()

## Description

This GObject represents a details from a transaction. These objects represent single items of data from the transaction, and are often present in lists (PkResults) or just refcounted in client programs.

## Functions

### pk_details_new ()

    PkDetails *
    pk_details_new (void);

#### Returns

a new PkDetails object.

Since: 0.5.4

### pk_details_get_package_id ()

    const gchar *
    pk_details_get_package_id (PkDetails *details);

Gets the PackageId for the details object.

#### Parameters

details | a PkDetails instance |

#### Returns

string value

Since: 0.8.12

### pk_details_get_license ()

    const gchar *
    pk_details_get_license (PkDetails *details);

Gets the license for the details object.

#### Parameters

details | a PkDetails instance |

#### Returns

string value

Since: 0.8.12

### pk_details_get_group ()

    PkGroupEnum
    pk_details_get_group (PkDetails *details);

Gets the group for the details object.

#### Parameters

details | a PkDetails instance |

#### Returns

string value

Since: 0.8.12

### pk_details_get_description ()

    const gchar *
    pk_details_get_description (PkDetails *details);

Gets the description for the details object.

#### Parameters

details | a PkDetails instance |

#### Returns

string value

Since: 0.8.12

### pk_details_get_url ()

    const gchar *
    pk_details_get_url (PkDetails *details);

Gets the url for the details object.

#### Parameters

details | a PkDetails instance |

#### Returns

string value

Since: 0.8.12

### pk_details_get_size ()

    guint64
    pk_details_get_size (PkDetails *details);

Gets the size for the details object: for installed packages it will return the installed size, for the rest the package size.

#### Parameters

details | a PkDetails instance |

#### Returns

string value

Since: 0.8.12

### pk_details_get_summary ()

    const gchar *
    pk_details_get_summary (PkDetails *details);

Gets the summary for the details object.

#### Parameters

details | a PkDetails instance |

#### Returns

string value

Since: 0.9.1